Bug 65276 - Continual segfaults when compiling various programs
Continual segfaults when compiling various programs
Status: CLOSED NOTABUG
Product: Red Hat Linux
Classification: Retired
Component: gcc (Show other bugs)
7.3
i586 Linux
medium Severity high
: ---
: ---
Assigned To: Jakub Jelinek
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-05-21 06:03 EDT by Need Real Name
Modified: 2007-04-18 12:42 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-12-15 15:33:57 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Need Real Name 2002-05-21 06:03:43 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 5.0; Windows 98; DigExt)

Description of problem:
After upgrading to RH7.3 I get get continual segfaults while compiling programs.

Does not seem to depend on the program - after segfaulting retyping make 
continues compilation.

Problem did not occur under RH7.2

Example programs gnome2, kernel,evolution

No useful information is produced at the terminal

I have tried;
re-installing glibc rpm,s
recompiling kernel

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Try to compile any reasonably sized program
2. Make stops with segmentation fault 
3. Typing make again carries on compilation
	

Additional info:

Machine details K6/2 500 with 128MB ram

cpu often shows 100% usage
Comment 1 Need Real Name 2002-05-31 12:17:58 EDT
The following bugs all seem to relate to the same problem
65089
65093
65143
65534

As regards my particular bug exactly the same system with roswell did not give 
these errors

I have noticed that the problem does get worse after a sustained period of 
compiling, so I wonder if there is a memory leak in gcc, make,glibc or the 
kernel

If it is any help it seems very similar to the problems I had with RH7.0 and 
the original gcc2.96 which were fixed by using -O5 -mcpu=i586 -march=i586 (as 
suggested by teg I think on slashdot)

so I am wondering if some default compiler flags were changed for 7.3

I assume the packages on RH7.3 were compiled with the compiler so would it be 
an idea to post what options were used?
Comment 2 rmhristev 2002-06-02 01:16:42 EDT
The current gcc + binutils fails to to compile the current kernel at link stage.
Comment 3 Need Real Name 2002-06-10 06:54:02 EDT
Problem massively reduced after compiling and running kernel 2.4.19-test10
Comment 4 Douglas King 2002-06-10 17:41:29 EDT
I've repeatedly reproduced it when trying to compile Apache 2.0.36 from source
and PHP 4.2.1 from source.

The apache was compiled with the following configure line:
./configure --prefix=/www --enable-module=so

The php was compiled with:
./configure --with-mysql --enable-calendar --with-axps=/www/bin/axps

I managed to compile the apache via numerous retries, but I cannot trust the
resulting binary to be stable in a production system.
Comment 5 Alan Cox 2002-12-15 15:33:57 EST
First one sounds like out of memory (new gcc's use a lot more ram).
Second reporter is clearly hardware

Note You need to log in before you can comment on or make changes to this bug.